> ## Documentation Index
> Fetch the complete documentation index at: https://developers.malibou.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create complementary contract affiliations

> Required scope: `org:employee:health_insurance:manage`



## OpenAPI

````yaml /api-reference/openapi/public-api-1.11.0-partners.json put /organizations/{organizationId}/complementary-contracts/affiliations
openapi: 3.0.0
info:
  title: malibou public API
  version: 1.11.0
  description: >-
    ⚠️ These endpoints require an approved malibou partner integration — a
    self-serve API key cannot access them, regardless of the permissions it is
    granted. See the Partner-only scopes section of the Authentication guide.
servers:
  - url: https://app.malibou.com/api/public/v1
security:
  - bearerAuth: []
tags:
  - name: Organizations
    description: Organizations endpoints
    x-group: Organizations
  - name: Meal Vouchers
    description: Meal Vouchers endpoints
    x-group: Meal Vouchers
  - name: Complementary Contracts
    description: Complementary Contracts endpoints
    x-group: Complementary Contracts
  - name: Complementary Contracts Affiliations
    description: Complementary Contracts Affiliations endpoints
    x-group: Complementary Contracts Affiliations
paths:
  /organizations/{organizationId}/complementary-contracts/affiliations:
    put:
      tags:
        - Complementary Contracts Affiliations
      summary: Create complementary contract affiliations
      description: 'Required scope: `org:employee:health_insurance:manage`'
      operationId: createComplementaryContractCollaboratorAffiliations
      parameters:
        - schema:
            type: string
          required: true
          name: organizationId
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                establishmentId:
                  type: string
                affiliations:
                  type: array
                  items:
                    oneOf:
                      - type: object
                        properties:
                          employeeId:
                            type: string
                          complementaryContractId:
                            type: string
                          status:
                            type: string
                            enum:
                              - active
                          optionId:
                            type: string
                        required:
                          - employeeId
                          - complementaryContractId
                          - status
                          - optionId
                      - type: object
                        properties:
                          employeeId:
                            type: string
                          complementaryContractId:
                            type: string
                          status:
                            type: string
                            enum:
                              - exempted
                          optionId:
                            type: string
                            nullable: true
                        required:
                          - employeeId
                          - complementaryContractId
                          - status
                          - optionId
              required:
                - establishmentId
                - affiliations
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      created:
                        type: number
                      deleted:
                        type: number
                    required:
                      - created
                      - deleted
                required:
                  - data
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````